﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace Sample
{
    public class AxesService : DependencyObject
    {
        public static readonly DependencyProperty XAxisProperty =
        DependencyProperty.RegisterAttached(
          "XAxis",
          typeof(Axis),
          typeof(AxesService),
          new FrameworkPropertyMetadata(
              null,
              new PropertyChangedCallback(OnSetAxis)
              )
        );

        public static readonly DependencyProperty YAxisProperty =
            DependencyProperty.RegisterAttached(
              "YAxis",
              typeof(Axis),
              typeof(AxesService),
              new FrameworkPropertyMetadata(
                  null,
                  new PropertyChangedCallback(OnSetAxis)
                  )
            );

        private static void OnSetAxis(DependencyObject d, DependencyPropertyChangedEventArgs e)
        {
            XamDataChart xamDataChart = d as XamDataChart;
            Axis axis = e.NewValue as Axis;
            xamDataChart.Axes.Add(axis);
        }

        public Axis XAxis
        {
            set
            {
                SetValue(XAxisProperty, value);
            }
        }
        public Axis YAxis
        {
            set
            {
                SetValue(YAxisProperty, value);
            }
        }


    }
}
