﻿using Sample;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace Sample
{
    public class ViewModel : INotifyPropertyChanged
    {
        #region INotifyPropertyChanged Implementation
        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
        #endregion
        public ObservableCollection<SalesInfo> Items { get; set; }


        public ViewModel()
        {
            Items = new ObservableCollection<SalesInfo>();
            this.Items.Add(
                new SalesInfo
                {
                    Year = "2011",
                    SCurveValue = 124597,
                }
            );
            this.Items.Add(
                new SalesInfo
                {
                    Year = "2012",
                    SCurveValue = 245416,
                }
            );
            this.Items.Add(
                new SalesInfo
                {
                    Year = "2013",
                    SCurveValue = 345786,
                }
            );
            this.Items.Add(
                new SalesInfo
                {
                    Year = "2014",
                    SCurveValue = 365816,
                }
            );
            this.Items.Add(
                new SalesInfo
                {
                    Year = "2015",
                    SCurveValue = 451687,
                }
            );
            this.Items.Add(
                new SalesInfo
                {
                    Year = "2016",
                    SCurveValue = 548465,
                }
            );
            this.Items.Add(
                new SalesInfo
                {
                    Year = "2017",
                    SCurveValue = 646879,
                }
            );
            this.Items.Add(
                new SalesInfo
                {
                    Year = "2018",
                    SCurveValue = 875466,
                }
            );

        }
    }
}
